com.amazonaws.services.lambda.invoke

## Class LambdaSerializationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.amazonaws.services.lambda.invoke.LambdaSerializationException

All Implemented Interfaces:
  Serializable

    public class LambdaSerializationException
    extends RuntimeException

An exception thrown if there's a problem serializing a request object to JSON or deserializing the JSON returned by a function to the expected result object.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LambdaSerializationException(String message)`
`LambdaSerializationException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LambdaSerializationException

    public LambdaSerializationException(String message)

#### LambdaSerializationException

    public LambdaSerializationException(String message,
                                        Throwable cause)